SDL_CreateYUVOverlay(3)

NAME
SDL_CreateYUVOverlay - Create a YUV video overlay

SYNOPSIS

#include "SDL.h"

SDL_Overlay *SDL_CreateYUVOverlay(int width, int height, Uint32 format, SDL_Surface *display);

DESCRIPTION

SDL_CreateYUVOverlay creates a YUV overlay of the specified width, height and format (see SDL_Overlay for a list of available formats), for the provided display. A SDL_Overlay structure is returned.

The term 'overlay' is a misnomer since, unless the overlay is created in hardware, the contents for the display surface underneath the area where the overlay is shown will be overwritten when the overlay is displayed.

SEE ALSO

SDL_Overlay, SDL_DisplayYUVOverlay, SDL_FreeYUVOverlay